=== debian/changelog ===
juju-core (2.0~rc3-0ubuntu4.16.10.1) yakkety-proposed; urgency=medium

  * Also pass no_proxy to bootstrap

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Tue, 11 Oct 2016 11:10:06 -0400

juju-core (2.0~rc3-0ubuntu3.16.10.1) yakkety-proposed; urgency=medium

  * Fix lxd-provider test to utilize *_proxy settings and provide additional info

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Tue, 11 Oct 2016 08:09:25 -0400

juju-core (2.0~rc3-0ubuntu1.16.10.1) yakkety-proposed; urgency=medium

  * New upstream release 2.0-rc3
  * d/copyright Updated for 2.0-rc3 vendored packages.
  * d/t/setup-lxd.sh support lxd 2.0 and 2.3+ network configuration in
    tests.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Thu, 06 Oct 2016 18:23:09 +0000

juju-core (2.0~rc2-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-rc2 (LP: #1617433)
  * Update autopkgtests
  * Drop 32-bit builds
  * Update debian/copyrights
  * Disable future manual provider test (LP: #1629376)
  * Remove golang-golang-x-[crypto,net]-dev dependencies temporarily (LP: #1629412)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 30 Sep 2016 11:23:27 -0400

juju-core (2.0~beta18-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta18
  * Update debian/copyright
  * Update autopkgtest tests to drop --upload-tools

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 15 Sep 2016 11:20:31 -0400

juju-core (2.0~beta17-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta17

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 01 Sep 2016 13:08:58 -0400

juju-core (2.0~beta16-0ubuntu1.16.10.1) yakkety; urgency=medium
  * New upstream release 2.0-beta16
  * Remove all quilt patches
  * Ensure autopkgtests run on LXD upload (LP: #1614724)
  * Update debian/copyrights
  * Fix juju LXD provider for LXD 2.1 (LP: #1614559)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 26 Aug 2016 15:24:39 -0400

juju-core (2.0~beta15-0ubuntu5.16.10.1) yakkety; urgency=medium

  * Really restore all architectures for building

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 19 Aug 2016 12:14:05 -0400

juju-core (2.0~beta15-0ubuntu4.16.10.1) yakkety; urgency=medium

  * Restore all arches to building
  * Apply patch for powerpc build 

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 19 Aug 2016 10:19:18 -0400

juju-core (2.0~beta15-0ubuntu3.16.10.1) yakkety; urgency=medium

  * Re-add jujud to package (LP: #1608538)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 18 Aug 2016 09:37:59 -0400

juju-core (2.0~beta15-0ubuntu2.16.10.1) yakkety; urgency=medium

  * Restrict architectures to 64-bit only

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Wed, 17 Aug 2016 15:55:47 -0400

juju-core (2.0~beta15-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta15 (LP: #1613718)
  * Update debian/copyright
  * Re-enable current-manual-provider test
  * Remove jujud from package
  * Remove golang-juju-loggo-dev dependency temporarily (LP: #1612713)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 12 Aug 2016 10:08:34 -0400

juju-core (2.0~beta12-0ubuntu1.16.10.3) yakkety; urgency=medium

  * Add skip to current-manual-provider for bug 1605313 and bug 1605050

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 21 Jul 2016 15:12:52 -0400

juju-core (2.0~beta12-0ubuntu1.16.10.2) yakkety; urgency=medium

  * Fix adt test for manual-provider

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Wed, 20 Jul 2016 09:19:42 -0400

juju-core (2.0~beta12-0ubuntu1.16.10.1) yakkety; urgency=medium

  [ Nicholas Skaggs ]
  * New upstream release 2.0-beta12 (LP: #1604137).
  * Update debian/copyright.

  [ Martin Packman ]
  * Allow stripping of go binaries (LP: #1564662).
  * Mark juju-2.0 as conflicting and replacing old ppas (LP: #1600257).
  * Adjust where bash completion script is installed (LP: #1588403).

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Mon, 18 Jul 2016 14:00:19 -0400

juju-core (2.0~beta10-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta10 (LP: #1596920).
  * Update debian/copyright for licence changes.
  * Depend on golang-go >1.6 on all architectures.
  * Drop golang-github-lxc-lxd-dev dependency temporarily as a post-1.0 version
    is required but not yet released in the archive.
  * Drop golang-gopkg-lxc-go-lxc.v2-dev dependency as old lxc support is gone.
  * Update name of controller in lxd test.

 -- Martin Packman <martin.packman@canonical.com>  Tue, 28 Jun 2016 11:16:58 +0000

juju-core (2.0~beta7-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta7 (LP: #1581645)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 13 May 2016 15:22:03 -0400

juju-core (2.0~beta6-0ubuntu2.16.10.1) yakkety; urgency=medium

  [ Martin Packman ]
  * Avoid autopkgtest failures from lack of support for 32-bit state servers.

  [ Michael Hudson-Doyle ]
  * New script for build setup to fit better with dh-golang expectations.

 -- Martin Packman <martin.packman@canonical.com>  Mon, 09 May 2016 16:38:25 +0000

juju-core (2.0~beta6-0ubuntu1) xenial; urgency=medium

  * New upstream release 2.0-beta6 (LP: #1573176).
  * Includes fixes for upstream bugs:
    - juju loses agents during a lxd deploy.
    - 'failed to ensure LXD image' creating LXD container.

 -- Martin Packman <martin.packman@canonical.com>  Tue, 26 Apr 2016 01:27:27 +0000

juju-core (2.0~beta5-0ubuntu1) xenial; urgency=medium

  [ Nicholas Skaggs ]
  * New upstream release 2.0-beta5
  * Fixes "Manpage still refers to 1.X config for 2.0" (LP: #1570654).
  * Update d/control, juju-2.0 conflicts with juju2
  * Update d/copyright, drop joyent gomanta copyright

  [ Martin Pitt ]
  * Drop MTU workaround now included in infrastructure.

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Wed, 20 Apr 2016 13:25:04 -0400
