## juju-core 2.0.2

=== src/github.com/gosuri/uitable/Makefile ===
test:
	@go test ./...

.PHONY: test
