=== src/github.com/lxc/lxd/fuidshift/Makefile ===
# we let go build figure out dependency changes
.PHONY: fuidmap
lxc:
	go build

clean:
	-rm -f fuidshift
