=== debian/changelog ===
juju-core (2.0.2-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via juju-run (LP: #1682411)
    - debian/patches/CVE-2017-9232.patch: create a unix domain socket with
      restricted permissions to limit juju-run to only similarly privileged
      processes.
    - CVE-2017-9232

 -- Seth Arnold <seth.arnold@canonical.com>  Thu, 25 May 2017 17:28:34 -0700

juju-core (2.0.2-0ubuntu0.16.10.1) yakkety; urgency=medium

  * Backport upstream release 2.0.2 (LP: #1648894)
  * d/copyright Updated for 2.0.2 vendored packages.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Thu, 15 Dec 2016 17:19:57 +0000

juju-core (2.0.0-0ubuntu0.16.10.3) yakkety; urgency=medium

  * debian/control: Fix the build failure due to dependency issues.
    (LP: #1617440)
    - Nope, we really don't want a Build-Depends on golang-github-coreos-go-
      systemd-dev.
    - Drop golang-go.crypto from Build-Depends.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 03 Nov 2016 11:51:54 -0600

juju-core (2.0.0-0ubuntu0.16.10.2) yakkety; urgency=medium

  * Restore golang-github-coreos-go-systemd-dev
  * Fix missing dh_install for sysctl file (LP: #1631038)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 03 Nov 2016 11:00:50 -0600

juju-core (2.0.0-0ubuntu0.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0.0 (LP: #1617440)
  * d/copyright updated for 2.0.0 vendored packages.
  * Add sysctl files for lxd provider (LP: #1631038)
  * Update d/watch file
  * Add upstream signing key
  * Restore golang-golang-x-[crypto,net]-dev dependencies
  * Update bootstrap order for autpopkgtests for juju cli changes

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 20 Oct 2016 15:22:37 +0200
