=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                golang-go-dbus-dev,
                golang-gopkg-tomb.v2-dev,
                golang-websocket-dev,
+               golang-golang-x-net-dev,
                golang-yaml.v2-dev,
                lsb-release,
                python
