## juju-core 2.2.6

=== src/github.com/juju/juju/Makefile ===
--- 
+++ 
@@ -9,23 +9,19 @@
 PROJECT := github.com/juju/juju
 PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))
 
-ifeq ($(shell uname -p | sed -r 's/.*(86|armel|armhf|aarch64|ppc64le|s390x).*/golang/'), golang)
-	GO_C := golang-1.[6-9]
-	INSTALL_FLAGS :=
+# Allow the tests to take longer on arm platforms.
+ifeq ($(shell uname -p | sed -r 's/.*(armel|armhf|aarch64).*/golang/'), golang)
+	TEST_TIMEOUT := 2400s
 else
-	GO_C := gccgo-4.9  gccgo-go
-	INSTALL_FLAGS := -gccgoflags=-static-libgo
+	TEST_TIMEOUT := 1500s
 endif
 
 define DEPENDENCIES
   ca-certificates
   bzip2
-  bzr
   distro-info-data
-  git-core
-  mercurial
+  git
   zip
-  $(GO_C)
 endef
 
 default: build
@@ -49,10 +45,10 @@
 	go build $(PROJECT)/...
 
 check: godeps
-	go test -test.timeout=1200s $(PROJECT)/...
+	go test -test.timeout=$(TEST_TIMEOUT) $(PROJECT)/...
 
 install: godeps
-	go install $(INSTALL_FLAGS) -v $(PROJECT)/...
+	go install -v $(PROJECT)/...
 
 clean:
 	go clean $(PROJECT)/...
@@ -82,24 +78,29 @@
 simplify:
 	gofmt -w -l -s .
 
+rebuild-dependencies.tsv: godeps
+	# godeps invoked this way includes 'github.com/juju/juju' as part of
+	# the content, which we want to filter out.
+	# '-t' is not needed on newer versions of godeps, but is still supported.
+	godeps -t ./... | grep -v "^github.com/juju/juju\s" > dependencies.tsv
+
 # Install packages required to develop Juju and run tests. The stable
 # PPA includes the required mongodb-server binaries.
 install-dependencies:
-ifeq ($(shell lsb_release -cs|sed -r 's/precise|wily/old/'),old)
-	@echo Adding juju PPAs for golang and mongodb-server
-	@sudo apt-add-repository --yes ppa:juju/golang
+	@echo Installing go-1.8 snap
+	@sudo snap install go --channel=1.8/stable --classic
+	@echo Adding juju PPA for mongodb
 	@sudo apt-add-repository --yes ppa:juju/stable
 	@sudo apt-get update
-endif
 	@echo Installing dependencies
-	@sudo apt-get --yes install --no-install-recommends \
+	@sudo apt-get --yes install  \
 	$(strip $(DEPENDENCIES)) \
 	$(shell apt-cache madison juju-mongodb3.2 juju-mongodb mongodb-server | head -1 | cut -d '|' -f1)
 
 # Install bash_completion
 install-etc:
 	@echo Installing bash completion
-	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju-2.0 /usr/share/bash-completion/completions
+	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju /usr/share/bash-completion/completions
 	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju-version /usr/share/bash-completion/completions
 
 setup-lxd:
@@ -119,4 +120,5 @@
 .PHONY: build check install
 .PHONY: clean format simplify
 .PHONY: install-dependencies
+.PHONY: rebuild-dependencies.tsv
 .PHONY: check-deps
