## juju-core 2.3.1

=== src/github.com/juju/juju/Makefile ===
--- 
+++ 
@@ -14,6 +14,13 @@
 	TEST_TIMEOUT := 2400s
 else
 	TEST_TIMEOUT := 1500s
+endif
+
+# Enable verbose testing for reporting.
+ifeq ($(VERBOSE_CHECK), 1)
+	CHECK_ARGS = -v
+else
+	CHECK_ARGS =
 endif
 
 define DEPENDENCIES
@@ -45,7 +52,7 @@
 	go build $(PROJECT)/...
 
 check: godeps
-	go test -test.timeout=$(TEST_TIMEOUT) $(PROJECT)/...
+	go test $(CHECK_ARGS) -test.timeout=$(TEST_TIMEOUT) $(PROJECT)/...
 
 install: godeps
 	go install -v $(PROJECT)/...
@@ -87,8 +94,8 @@
 # Install packages required to develop Juju and run tests. The stable
 # PPA includes the required mongodb-server binaries.
 install-dependencies:
-	@echo Installing go-1.8 snap
-	@sudo snap install go --channel=1.8/stable --classic
+	@echo Installing go-1.9 snap
+	@sudo snap install go --channel=1.9/stable --classic
 	@echo Adding juju PPA for mongodb
 	@sudo apt-add-repository --yes ppa:juju/stable
 	@sudo apt-get update
