=== src/github.com/juju/juju/acceptancetests/Makefile ===
--- 
+++ 
@@ -24,9 +24,7 @@
 	./pipdeps.py -v install
 name=NAMEHERE
 assess_file=assess_$(name).py
-test_assess_file=tests/test_assess_$(name).py
 new-assess:
 	install -m 755 template_assess.py.tmpl $(assess_file)
-	install -m 644 template_test.py.tmpl $(test_assess_file)
 	sed -i -e "s/TEMPLATE/$(name)/g" $(assess_file) $(test_assess_file)
 .PHONY: lint test cover clean new-assess apt-update install-deps
