=== debian/changelog ===
juju-core (2.3.1-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release. (LP: #1718213)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Wed, 13 Dec 2017 17:38:04 -0500

juju-core (2.2.6-0ubuntu0.17.04.3) zesty; urgency=medium

  * Only juju 2.3+ supports cidr expansion for no proxy, fix for 2.2

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 16 Nov 2017 13:51:25 -0500

juju-core (2.2.6-0ubuntu0.17.04.2) zesty; urgency=medium

  * Add no_proxy for lxd subnet in support of adt tests

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 09 Nov 2017 11:21:57 -0500

juju-core (2.2.6-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release. (LP: #1718213)
  * Simplify use of embedded dependencies
  * Remove DH_VERBOSE=1
  * Ensure juju bootstrap succeeds with bionic in distro-info-data (LP: #1727355)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 26 Oct 2017 14:43:03 -0400

juju-core (2.2.4-0ubuntu0.17.04.2) zesty; urgency=medium

  * Fix installation of bash completion scripts.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 25 Oct 2017 10:16:44 +1300

juju-core (2.2.4-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release. (LP: #1718213)
  * Remove debian/patches/CVE-2017-9232.patch, included upstream.
  * Improved support for mixing vendored and archive dependencies.
  * Killed old code for building on saucy, precise and with gccgo.
  * Embed Go 1.8.3 as upstream no longer builds with Go 1.6. (Note that
    golang-go is still a build dependency as it is required to build the
    embedded go 1.8.3).
  * Switch golang.org/x/crypto dependency to vendorized.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 29 Sep 2017 10:01:07 -0400

juju-core (2.0.2-0ubuntu2.1) zesty-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via juju-run (LP: #1682411)
    - debian/patches/CVE-2017-9232.patch: create a unix domain socket with
      restricted permissions to limit juju-run to only similarly privileged
      processes.
    - CVE-2017-9232

 -- Seth Arnold <seth.arnold@canonical.com>  Thu, 25 May 2017 17:32:58 -0700

juju-core (2.0.2-0ubuntu2) zesty; urgency=medium

  * Update debian/tests/setup-lxd.sh to support LXD storage API.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 17 Feb 2017 00:17:30 -0500

juju-core (2.0.2-0ubuntu1) zesty; urgency=medium

  * New upstream release 2.0.2 (LP: #1648894)
  * d/copyright Updated for 2.0.2 vendored packages.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Thu, 15 Dec 2016 04:21:04 +0000

juju-core (2.0.0-0ubuntu2) zesty; urgency=medium

  * Restore golang-github-coreos-go-systemd-dev
  * Fix missing dh_install for sysctl file (LP: #1631038)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Mon, 31 Oct 2016 13:41:40 -0400

juju-core (2.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release 2.0.0 (LP: #1617440)
  * d/copyright updated for 2.0.0 vendored packages.
  * Add sysctl files for lxd provider (LP: #1631038)
  * Update d/watch file
  * Add upstream signing key
  * Restore golang-golang-x-[crypto,net]-dev dependencies
  * Update bootstrap order for autpopkgtests for juju cli changes

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 20 Oct 2016 15:22:37 +0200
