=== debian/control ===
--- 
+++ 
@@ -5,14 +5,10 @@
 Build-Depends: debhelper (>= 9),
                dh-golang,
                distro-info,
-               golang-check.v1-dev,
                golang-github-bmizerany-pat-dev,
                golang-go (>= 2:1.6),
                golang-go-dbus-dev,
                golang-gopkg-tomb.v2-dev,
-               golang-websocket-dev,
-               golang-golang-x-net-dev,
-               golang-yaml.v2-dev,
                lsb-release,
                python
 Standards-Version: 3.9.7
